stages:
  - build
  - test
  - deploy

build:
  stage: build
  image: node:16
  script:
    - yarn install
    - yarn build
  artifacts:
    paths:
      - build/
  needs: [ ]

test:
  stage: test
  image: node:16
  script:
    - yarn install
    - yarn test
  needs: [ ]

deploy to s3:
  stage: deploy
  image: python:latest
  script:
    - pip install awscli
    - aws --endpoint-url=https://${S3_ENDPOINT} s3 sync build/ s3://${S3_BUCKET}/ --delete
  only:
    refs:
      - master

deploy to k8s:
  stage: deploy
  image: quay.io/roboll/helmfile:v0.142.0
  script:
    - helmfile --namespace $KUBE_NAMESPACE apply --suppress-secrets
  environment:
    name: production
  only:
    kubernetes: active
    refs:
      - master

